> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a dataset without deleting its retained versions or original receipts



## OpenAPI

````yaml /api-reference/openapi.json post /v1/projects/{projectId}/datasets/{datasetId}/archive
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
paths:
  /v1/projects/{projectId}/datasets/{datasetId}/archive:
    post:
      summary: >-
        Archive a dataset without deleting its retained versions or original
        receipts
      operationId: datasets.archive
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            pattern: ^prj_[0-9a-z]{12,32}$
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
            pattern: ^dataset_[0-9a-f]{12,32}$
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
            minLength: 8
            maxLength: 128
            pattern: ^[A-Za-z0-9._:-]+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArchiveDatasetRequest'
      responses:
        '200':
          description: Dataset archive receipt
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetMutationResponse'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ArchiveDatasetRequest:
      type: object
      properties:
        expectedVersion:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        confirmDatasetId:
          type: string
          pattern: ^dataset_[0-9a-f]{12,32}$
      required:
        - expectedVersion
        - confirmDatasetId
      additionalProperties: false
    DatasetMutationResponse:
      type: object
      properties:
        dataset:
          type: object
          properties:
            schemaVersion:
              type: number
              enum:
                - 1
            organizationId:
              type: string
              pattern: ^org_[0-9a-z]{12,32}$
            projectId:
              type: string
              pattern: ^prj_[0-9a-z]{12,32}$
            datasetId:
              type: string
              pattern: ^dataset_[0-9a-f]{12,32}$
            name:
              type: string
              minLength: 1
              maxLength: 160
            packageId:
              type: string
              minLength: 1
              maxLength: 96
              pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
            version:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            currentRevision:
              type: integer
              minimum: 1
              maximum: 2147483647
            currentDigest:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            state:
              type: string
              enum:
                - available
                - archived
            createdBy:
              type: string
              minLength: 1
              maxLength: 255
            createdAtMs:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            updatedAtMs:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            archivedAtMs:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
          required:
            - schemaVersion
            - organizationId
            - projectId
            - datasetId
            - name
            - packageId
            - version
            - currentRevision
            - currentDigest
            - state
            - createdBy
            - createdAtMs
            - updatedAtMs
          additionalProperties: false
        revision:
          type: object
          properties:
            schemaVersion:
              type: number
              enum:
                - 1
            datasetId:
              type: string
              pattern: ^dataset_[0-9a-f]{12,32}$
            revision:
              type: integer
              minimum: 1
              maximum: 2147483647
            tool:
              type: object
              properties:
                packageId:
                  type: string
                  minLength: 1
                  maxLength: 96
                  pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
                version:
                  type: string
                  pattern: >-
                    ^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-[0-9A-Za-z.-]+)?(?:\+[0-9A-Za-z.-]+)?$
                manifestHash:
                  type: string
                  pattern: ^sha256:[0-9a-f]{64}$
                artifactHash:
                  type: string
                  pattern: ^sha256:[0-9a-f]{64}$
                stateSchemaDigest:
                  type: string
                  pattern: ^sha256:[0-9a-f]{64}$
              required:
                - packageId
                - version
                - manifestHash
                - artifactHash
                - stateSchemaDigest
              additionalProperties: false
            collections:
              maxItems: 2048
              type: array
              items:
                type: object
                properties:
                  namespace:
                    type: string
                    minLength: 1
                    maxLength: 96
                    pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
                  records:
                    maxItems: 50000
                    type: array
                    items:
                      type: object
                      properties:
                        rowId:
                          type: string
                          minLength: 1
                          maxLength: 512
                        value:
                          type: object
                          additionalProperties:
                            $ref: >-
                              #/components/schemas/DatasetMutationResponse___schema0
                      required:
                        - rowId
                        - value
                      additionalProperties: false
                required:
                  - namespace
                  - records
                additionalProperties: false
            digest:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
          required:
            - schemaVersion
            - datasetId
            - revision
            - tool
            - collections
            - digest
          additionalProperties: false
        provenance:
          type: object
          properties:
            sourceDraftId:
              type: string
              pattern: ^draft_[0-9a-z]{12,32}$
            sourceRevision:
              type: integer
              minimum: 1
              maximum: 2147483647
            sourceVersion:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            sourceDigest:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            buildHash:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            worldProjectionDigest:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            toolArtifactId:
              type: string
              pattern: ^toolart_[0-9a-z]{12,32}$
            instanceId:
              type: string
              minLength: 1
              maxLength: 96
              pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
          required:
            - sourceDraftId
            - sourceRevision
            - sourceVersion
            - sourceDigest
            - buildHash
            - worldProjectionDigest
            - toolArtifactId
          additionalProperties: false
        revisionCreatedBy:
          type: string
          minLength: 1
          maxLength: 255
        revisionCreatedAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        replayed:
          type: boolean
      required:
        - dataset
        - revision
        - provenance
        - revisionCreatedBy
        - revisionCreatedAtMs
        - replayed
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
    DatasetMutationResponse___schema0:
      description: Any JSON-compatible value
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````